Subject: Re: [PATCH v3 1/3] PCI: Allow ATS to be always on for CXL.cache capable devices

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 9 Apr 2026 19:52:52 -0300

On Thu, Apr 09, 2026 at 03:45:26PM -0700, Nicolin Chen wrote:

> One question regarding VM case: if a device is ats_always_on, while
> VM somehow doesn't set nested_domain->enable_ats. Should the kernel
> at least spit a warning, given that it would surely fail the device?

No, just let break, the resulting failure has to be contained to the
VM or the platform is broken..

The HV can't turn on ATS because we it can't know what invalidations
to push so not much other choice.

Jason